    Set the region to display in the image viewer.

image_setregion(reg, coord='')
reg - str
coord - str, optional

Add a circle, in the physical coordinate system, to the data from the default data set:

>>> image_data() >>> image_setregion('circle(4234.53,3245.29,46.74)', 'physical')

Copy the region from the current frame, create a new frame displaying the residuals from data set 'img', and then display the region on it:

>>> r = image_getregion() >>> image_resid('img', newframe=True) >>> image_setregion(r)

PARAMETERS

The parameters for this function are:

Parameter
Definition
reg
The region to display.
coord
The coordinate system to use.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023